#include<bits/stdc++.h>
using namespace std;
double a[200050],p[200050],porezi[200050];
long long n,x,y;
double zbir;
int k,i;
int main(){
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i]>>p[i];
    }

    for(int i=1;i<=n;i++){
            zbir=0;
        for(int k=1;k<=n;k++){
        if(p[i]<=p[k]){
            zbir+=a[k];

        }
                porezi[i]=p[i]*zbir*0.01;
        }
    }


    double resenje=porezi[1];
    for (int i=2;i<=n;i++){
    if (porezi[i]>resenje)
     resenje=porezi[i];
    }
    cout<<setprecision(2)<<fixed;

    cout<<resenje;

    return 0;
}